GETDAP(1)                        User Manuals                        GETDAP(1)



1mNAME0m
       getdap - test driver for the libdap library

1mSYNOPSIS0m
       1mgetdap [-idaDxXBvVkzsM] [-c 4m22mexpr24m 1m] [-m 4m22mnum24m 1m] [-p 4m22mx.y24m 1m] 4m22murl24m 1m...0m

       1mgetdap [-VvksM] 4m22mfile24m 1m...0m

1mDESCRIPTION0m
       1mgetdap  22mIn  the first form of the command, dereference the URL and per-
       form the requested  operations.  This  includes  routing  the  returned
       information  through  the  DAP processing library (parsing the returned
       objects, et c.). If none of a, d, or D are used with a  URL,  then  the
       DAP  library  routines are NOT used and the URLs contents are dumped to
       standard output.

       In the second form of the command, assume the files are DataDDS objects
       (stored  in  files  or  read from pipes) and process them as if -D were
       given. In this case the information *must* contain valid MIME header in
       order to be processed.

1mOPTIONS0m
       -i     For each URL, get the server version.

       -d     For each URL, get the the DDS.

       -a     For each URL, get the the DAS.

       -D     For each URL, get the the DataDDS.

       -x     For each URL, get the DDX object. Does not get data.

       -X     Request a DataDDX from the server (the DAP4 data response).

       -B     Build a DDX in getdap using the DDS and DAS.

       -v     Verbose output.

       -V     Version of this client; see 'i' for server version.

       -c expr
              4mexpr24m  is a constraint expression. Used with -D/X.  You can use a
              `?' for the CE also.

       -k     Keep temporary files created by libdap.

       -m num Request the same URL 4mnum24m times

       -z     Ask the server to compress data.

       -s     Print Sequences using numbered rows.

       -M     Assume data read from a file has no MIME headers (the default is
              to assume the headers are present).

       -p x.y Set DAP protocol to 4mx.y0m

1mFILES0m
       4m~/.dodsrc0m
              The  4m.dodsrc24m  file  contains  various parameters that affect the
              runtime behavior for DAP clients.   See  1mdodsrc22m(5)  for  further
              details.

1mENVIRONMENT0m
       DODS_CONF
              Specifies an alternate file or directory for the 4m.dodsrc24m file.

1mDIAGNOSTICS0m
       Various self-explanitory messages may be issued on stderr.


1mBUGS0m
       The  command name should have been chosen more carefully to reflect its
       purpose.

       The dodsrc man page needs to be written.

1mAUTHOR0m
       James Gallagher <jgallagher at opendap.org>

1mSEE ALSO0m
       1mdodsrc22m(5)



Linux                            December 2011                       GETDAP(1)
